Subject: Re: bug#2929: 23.0.92; Broken auto-filling in message-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Apr 2009 09:37:45 -0400

> behavior.  When I do the emacs -Q procedure it's set to "" by default,
> and then the bug doesn't occur.  So I guess message-mode should set it
> to "" in order to avoid such strange effects.

`comment-end' is "" by default.  Setting it globally to something else
will lead to errors in various major modes which assume that "not
setting comment-end" is the same as setting it to "".

I.e. the global setting of comment-end should not be change(able|d).

This said, your report probably points at another bug because the
"*/\n> " should not be added to lines which don't start with "> ".

        Stefan